=== tests/blackbox/Makefile ===
.PHONY: test-local
test-local:
	export PATH="$(CURDIR)/../..:$$PATH" && \
	./run-tests --verbose

.PHONY: test-installed
test-installed:
	./run-tests --verbose

# vim: syntax=make ts=4 sw=4 noet
