## lintian4python 0.8.2

=== debian/changelog ===
lintian4python (0.8.2) experimental; urgency=low

  * checks/bytecompilation:
    + Fix the regexp that was meant to exclude file in /usr/bin/ etc. from
      bytecompilation checks.
    + Exclude /usr/games from bytecompilation checks.
    + Exclude /usr/lib/debug/usr/bin/ etc. from bytecompilation checks.

  * checks/egg-info:
    + Don't define variables inside conditionals.

  * data/python/projects*:
    + Refresh.

  * debian/control:
    + Update lintian dependency (for compatibility with 2.5.10.2).

  * tests/*:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 17 Sep 2012 17:18:27 +0200

lintian4python (0.8.1) experimental; urgency=low

  * data/python/projects*:
    + Refresh.
  * data/python/sys.path-additions*:
    + Refresh.

  * checks/bytecompilation:
    + Don't complain about .py files in /etc that are not byte-compiled.
    + Don't complain about .py files within standard libraries of alternative
      Python interpreters (jython, pypy) that are not byte-compiled.

  * debian/control:
    + Update lintian dependency (2.5.9, 2.5.10, 2.5.10.1).
  * debian/source/options:
    + Ignore __pycache__ directories when generating tarball.

  * private/misc.py:
    + Split some code from private/refresh-sys.path-additions, which could be
      useful for other private/* scripts in the future, here.
  * private/refresh-sys.path-additions:
    + Use the built-in gzip module instead of spawning an external gzip
      process. (It's a bit slower, but makes the code simpler.)
    + Assume that *-nspkg.pth files don't add anything to sys.path.
    + Output apt progress to stderr (rather than to stdout).
    + Look for .pth files also in /usr/lib/wx/python/.

  * tests/*.tdesc:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 04 Aug 2012 08:55:41 +0200

lintian4python (0.8) experimental; urgency=low

  * Summary of tag changes:
    + misssing-dependency-for-sys.path-addition

  * data/python/projects*:
    + Refresh.
  * data/python/sys.path-additions{,-py3k}:
    + New data files with lists of packages that add extra entries to sys.path
      via .pth files.

  * checks/depends:
    + Add "use strict; use warnings;". Thanks to Niels Thykier for the bug
      report.
  * checks/package-name:
    + Take extra entries to sys.path that could be added via .pth files into
      account.
    + Tighten a regex.
  * checks/pth:
    + Check for missing dependency on a package that provides a sys.path
      addition, which is needed for the shipped modules to be importable.

  * private/refresh-python-projects:
    + Use http.debian.net as the default mirror.
  * private/refresh-sys.path-additions
    + New script to update data/python/sys.path-additions*.

  * tests/*.tdesc:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 11 Jul 2012 22:40:30 +0200

lintian4python (0.7) experimental; urgency=low

  * Summary of tag changes:
    + hardcoded-dependency-on-numpy-virtual-package

  * checks/depends:
    + Port to the Lintian::Relation::visit API.
    + Check for hardcoded dependency on Numpy virtual packages.

  * data/python/projects*:
    + Refresh.

  * debian/control:
    + Update lintian dependency (2.5.9, 2.5.10).

  * tests/*.tdesc:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Jun 2012 19:31:34 +0200

lintian4python (0.6) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      + incorrect-package-name
      + sphinx-cruft-in-binary-package

  * checks/documentation:
    + Add tag descriptions for
      rst-source-referenced-by-searchindex.js-does-not-exist and
      rst-source-referenced-by-searchindex.js-is-compressed.
    + Check for Sphinx cruft in binary packages.

  * checks/scripts:
    + Fix false positive versioned-python-shebang for idle-python2.X packages.

  * checks/package-name:
    + Check if package names conform to Python Policy §2.2.

  * data/python/projects*:
    + Refresh.

  * tests/*.tdesc:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 27 Jun 2012 20:11:04 +0200

lintian4python (0.5) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - cannot-parse-sphinx-searchindex.js
      - extension-is-symlink
      - inconsistent-use-of-tabs-and-spaces-in-indentation
      - js-file-referenced-by-search.html-does-not-exist
      - js-file-referenced-by-search.html-is-compressed
      - pyflakes-undefined-name-underscore
      - python-breaks-is-obsolete
      - rst-source-referenced-by-searchindex.js-does-not-exist
      - rst-source-referenced-by-searchindex.js-is-compressed
      - search.html-doesnt-load-search-index
      - search.html-references-nonlocal-js-file
      - search.html-with-invalid-root-url
      - search.html-with-non-local-root-url
      - sphinx-js-incompatible-with-jquery-1.4
      - sphinx-js-incompatible-with-jquery-1.5
      - sphinx-js-with-jinja2-templates
      - static-extension
      - substitution-variable-in-xs-python-version

  * checks/*:
    + Port to Lintian 2.5.9 API.

  * checks/code-analysis:
    + Check for inconsistent use of tabs and spaces in indentation.
    + Fix a typo.

  * checks/documentation:
    + Check for search.html (generated by Sphinx):
      - referencing nonexistent .js (or compressed) files;
      - referencing non-local .js files;
      - failing to load search index;
      - with non-local or invalid root URL;
    + Check for Sphinx .js code:
      - incompatible with recent (1.4, 1.5) jQuery versions;
      - containing (unexpanded) Jinja2 templates;
      - referencing nonexistent rST source files.

  * checks/extensions:
    + Check for static extension modules.
    + Check for extensions that are symlinks (e.g. _eggs.so ->
      _eggs.so.1.0.0).

  * checks/helpers:
    + Check for ${python:Breaks}.
    + Check for substitution variables in XS-Python-Version.

  * checks/imports:
    + Fix a typo.

  * checks/pyflakes:
    + Do not emit pyflakes-undefined-name for "_" (underscore) in private

