=== debian/control ===
--- 
+++ 
@@ -4,13 +4,18 @@
 Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.9.3
+Vcs-Hg: https://bitbucket.org/jwilk/lintian4python
+Vcs-Browser: https://bitbucket.org/jwilk/lintian4python
 
 Package: lintian4python
 Architecture: all
-Depends: ${misc:Depends},
- lintian (>= 2.5.5~), lintian (<< 2.5.6+),
+Depends: ${misc:Depends}, ${perl:Depends},
+ lintian (>= 2.5.9~), lintian (<< 2.5.10.2+),
  libmonkey-patch-perl,
- python, pyflakes (>= 0.5.0), pyflakes (<< 0.5.0+)
+ perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
+ python (>= 2.6), pyflakes (>= 0.5.0), pyflakes (<< 0.5.0+)
+Recommends:
+ python3
 Description: Debian package checker (for Python packages)
  Lintian dissects Debian packages and reports bugs and policy
  violations. It contains automated checks for many aspects of Debian
