## lintian4python 0.11

=== debian/changelog ===
lintian4python (0.11) experimental; urgency=low

  * debian/control:
    + Update lintian dependency (2.5.11).

  * checks/*:
    + Port to Lintian 2.5.11 API.

  * libextra/Lintian/Python.pm:
    + Port to Lintian 2.5.11 API.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 14 Dec 2012 22:42:09 +0100

lintian4python (0.10.2) experimental; urgency=low

  * Brown paper bag upload.

  * debian/control:
    + Update lintian dependency (it is NOT compatible with 2.5.11 yet).
      Thanks to Niels Thykier for making me realize the mistake.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 12 Dec 2012 16:07:42 +0100

lintian4python (0.10.1) experimental; urgency=low

  * debian/control:
    + Update lintian dependency (for compatibility with 2.5.11).
    + Bump standards version to 3.9.4; no changes needed.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 12 Dec 2012 14:50:53 +0100

lintian4python (0.10) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - python-module-in-multi-arch-foreign-package
    + Removed:
      - extension-in-multi-arch-foreign-package

  * checks/extensions:
    + Remove the check for "Multi-Arch: foreign" packages shipping extension
      modules (it hasn been replaced by a more generic check).

  * checks/multi-arch:
    + Check for "Multi-Arch: foreign" packages shipping Python modules.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 03 Dec 2012 19:36:04 +0100

lintian4python (0.9) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - extension-in-multi-arch-foreign-package

  * checks/extensions:
    + Check for "Multi-Arch: foreign" packages shipping extension modules.

  * data/python/projects*:
    + Refresh.

  * debian/lintian4python.lintian-overrides:
    + Add override for pyflakes-redefined-function.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 18 Oct 2012 11:25:19 +0200
