## lintian4python 0.13.1

=== debian/changelog ===
lintian4python (0.13.1) experimental; urgency=low

  * checks/python/package-name:
    + Fix regexp, so that Python 3 extensions modules are taken into account.

  * data/python*-projects:
    + Refresh.

  * private/refresh-python-projects:
    + Consider packages from both unstable and experimental.

  * tests/*:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 17 Jan 2013 23:19:58 +0100

lintian4python (0.13) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - source-contains-sphinx-cache

  * checks/bytecompilation:
    + Bump source-contains-python-bytecode severity to normal.
  * checks/documentation:
    + Check for source packages containing Sphinx cache files.

  * private/update-coverage:
    + Look into the checks/python/ directory.

  * tests/*:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 11 Jan 2013 14:55:08 +0100

lintian4python (0.12) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - source-contains-python-bytecode

  * checks/*:
    + Move the checks to the python/ subdirectory.
      Thanks to Niels Thykier for the bug report.
    + Change check name abbreviations so that they all start with “py”.
    
  * checks/python/bytecompilation:
    + Check for source package containing .pyc and .pyo files.

  * data/*:
    + Fix broken symlinks.
    + Rename data files:
      - python/exceptions → python-exceptions
      - python/projects → python2-projects
      - python/projects-py3k → python3-projects
      - python/sys.additions → python3-sys.additions
      - python/sys.additions-py3k → python3-sys.additions
  * data/python/python*-projects:
    + Refresh.

  * debian/copyright:
    + Update copyright years.
  * debian/rules:
    + Don't install ‘libextra’; it's been superseded by ‘lib’.
  * debian/*.lintian-overrides:
    + Update.
  * debian/postinst, debian/postrm, debian/prerm:
    + Add code to handle /usr/share/lintian4python/lib switch from being
      symlink to regular directory.

  * lib, libextra:
    + Remove /usr/share/lintian/lib symlink; it's no longer needed, as Lintian
      Perl modules are now public. Rename ‘libextra’ as ‘lib’ instead.

  * lintian4py, lintian4py-info:
    + Use --profile debian/python.
    + Don't modify @INC, no longer needed.

  * profiles/:
    + Rename the ‘main’ profile as ‘python’.

  * tests/*:
    + New tests.
    + Make it possible to run tests against multiple packages at once.
      Thanks to Niels Thykier for the bug report.

  * vendors/:
    + Rename the ‘main’ profile as ‘python’.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 04 Jan 2013 19:08:22 +0100
