=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Hg: https://bitbucket.org/jwilk/lintian4python
 Vcs-Browser: https://bitbucket.org/jwilk/lintian4python
 
 Package: lintian4python
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- lintian (>= 2.5.9~), lintian (<< 2.5.10.2+),
+ lintian (>= 2.5.11), lintian (<< 2.5.12),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
  python (>= 2.6), pyflakes (>= 0.5.0), pyflakes (<< 0.5.0+)
