## lintian4python 0.14

=== debian/changelog ===
lintian4python (0.14) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - obsolete-pil-import
      - pyflakes-redefined
      - pyflakes-redefined-in-list-comp
    + Removed:
      - pyflakes-redefined-function

  * COPYING:
    + Add full text of the GPLv2 license.

  * data/python*-projects:
    + Refresh.
  * data/python-imaging-modules:
    + Add list of top-level PIL modules.

  * debian/control:
    + Add the Homepage field.
    + Update pyflakes dependency (0.6.1).
  * debian/lintian4python.lintian-overrides:
    + Drop override for pyflakes-redefined-function (no longer emitted by
      pyflakes 0.6.1).
  * debian/README.source:
    + Ask to change source format when forking.

  * checks/python/pyflakes:
    + Mark pyflakes-import-star-used as experimental.
    + Emit pyflakes-import-star-used at most once per file.
    + Update tags list for pyflakes 0.6.1.
    + Add descriptions to all tags.
  * checks/python/code-analysis:
    + Check for obsolete PIL imports.

  * helpers/code-analysis:
    + Check for obsolete PIL imports.

  * private/refresh-pyflakes-tags:
    + Generate template descriptions for new tags.

  * tests/*:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 14 Feb 2013 17:24:07 +0100
