=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.9.4
 Vcs-Hg: https://bitbucket.org/jwilk/lintian4python
 Vcs-Browser: https://bitbucket.org/jwilk/lintian4python
+Homepage: http://jwilk.net/software/lintian4python
 
 Package: lintian4python
 Architecture: all
@@ -13,7 +14,7 @@
  lintian (>= 2.5.11), lintian (<< 2.5.12),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
- python (>= 2.6), pyflakes (>= 0.5.0), pyflakes (<< 0.5.0+)
+ python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.6.1+)
 Recommends:
  python3
 Description: Debian package checker (for Python packages)
