## lintian4python 0.15

=== debian/changelog ===
lintian4python (0.15) experimental; urgency=low

  * Summary of tag changes:
    + Removed:
      - search.html-doesnt-load-search-index
    + Added:
      - unneeded-pycentral-pkgremove-in-preinst
      - search.html-does-not-load-search-index

  * data/python*-projects:
    + Refresh.
  * data/python-exceptions:
    + Refresh.

  * checks/python/*:
    + Document Perl version requirements for each Perl module.

  * checks/python/helpers:
    + Fix a typo in debian-pycompat-is-obsolete description.
    + Fix reading changelogs from binary packages.
    + Check for unneeded “pycentral pkgremove” in preinst scripts.

  * checks/python/documentation:
    + Rename search.html-doesnt-load-search-index as
      search.html-does-not-load-search-index.

  * private/*:
    + Document Perl version requirements for each Perl script.
  * private/refresh-exception-names:
    + Scan Python 3.4 documentation, too.

  * tests/*:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 21 Feb 2013 18:51:38 +0100
