## lintian4python 0.17.1

=== debian/changelog ===
lintian4python (0.17.1) experimental; urgency=low

  * data/python*-projects:
    + Refresh.

  * helpers/code-analysis:
    + Fix compatibility with Python 3.3 (closes: #704250).
      Thanks to Julian Taylor for the bug report.

  * tests/run-tests:
    + Raise a more friendly exception on SHA-1 mismatch.
    + Print a more friendly assertion message when lintian's stderr is
      non-empty.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 04 Apr 2013 22:09:00 +0200

lintian4python (0.17) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - dbg-extension-in-non-dbg-package
      - search.html-references-non-local-file
      - sphinx-static-file-with-jinja2-templates
    + Removed:
      - search.html-references-non-local-js-file
      - sphinx-js-with-jinja2-templates

  * data/python*-projects:
    + Refresh.

  * checks/python/documentation:
    + Remove some unused code.
    + Check for non-local CSS files.
    + Check for CSS files with unexpanded Jinja2 templates.
  * checks/python/egg-info:
    + When comparing egg-info versions with Debian versions:
      - strip various repack suffixes (“debian”, “dfsg”, “ds”, “repack”) in a
        consistent way;
      - handle X.rcY versions correctly (closes: #703572).
      Thanks to Julian Taylor for the bug report.
    + Use common regex from Lintian::Python to select files from dist-packages
      and friends.
    + Skip “test” and “tests” subdirectories.
  * checks/python/extensions:
    + Check for public dbg extension modules in non-dbg packages.
      Thanks to Sebastian Ramacher for the bug report.
  * checks/python/{multi-arch,package-name,pth}
    + Use common regex from Lintian::Python to select files from dist-packages
      and friends.
  * checks/python/pyflakes:
    + Beautify pyflakes-late-future-import output.

  * lib/Lintian/Python.pm:
    + Classify modules in /usr/lib/pyshared/python2.X as public.
    + Add regex for selecting files from dist-packages and friends.

  * tests/*:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 22 Mar 2013 22:02:02 +0100

lintian4python (0.16) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - insufficient-build-dependency-on-python-helper
      - missing-build-dependency-on-python-helper
      - missing-versioned-build-dependency-on-python-helper

  * checks/python/code-analysis:
    + Don't emit obsolete-pil-import for packages built from the
      python-imaging source package.
  * checks/python/helpers:
    + Check for insufficient or missing build-dependency on python for
      packages using dh_python2.

  * data/dh-python2-options:
    + New data file that lists new dh_python2 options with versions in which
      they were introduced.
  * data/python*-projects:
    + Refresh.
  * data/python*-sys.path-additions:
    + Refresh.

  * lib/Lintian/Python.pm:
    + Add function python_alt_dep to generate (possibly versioned) dependency
      on python(3), with alternative for other packages that are guaranteed to
      transitively depend on python(3).

  * private/refresh-sys.path-additions:
    + Ignore addition of the PIL directory to sys.path. Future versions for
      PIL won't add this directory, and packages shouldn't rely on it.

  * tests/*:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 11 Mar 2013 22:13:29 +0100
