## lintian4python 0.24.4

=== debian/changelog ===
lintian4python (0.24.4) experimental; urgency=low

  * debian/control:
    + Update lintian dependency (2.5.19).

  * debian/rules:
    + Check if binary package dependencies are satisfiable in build
      environment.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 Sep 2013 18:31:52 +0200

lintian4python (0.24.3) experimental; urgency=low

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update lintian dependency (2.5.18).

  * lintian4py:
    + Pass --include-dir as the first option.

  * lintian4py-info:
    + Pass --include-dir as the first option.
    + Use exec() instead of do() to call lintian-info.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 24 Sep 2013 17:48:46 +0200

lintian4python (0.24.2) experimental; urgency=low

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update lintian dependency (2.5.17).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 08 Sep 2013 16:49:25 +0200

lintian4python (0.24.1) experimental; urgency=low

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update lintian dependency (2.5.16).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 23 Aug 2013 15:31:18 +0200

lintian4python (0.24) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - http-pypi-url

  * checks/python/watch:
    + Check for HTTP PyPI URLs (closes: #719026). Thanks to Stefano Rivera for
      the bug report.

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update pyflakes dependency (0.7.3).
      Thanks to Paul Wise for the bug report.

  * private/update-coverage:
    + Sort checks.

  * tests/blackbox/watch:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 08 Aug 2013 12:24:32 +0200

lintian4python (0.23.2) experimental; urgency=low

  * debian/control:
    + Update lintian dependency (2.5.15).

  * data/python*-projects:
    + Update.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 23 Jul 2013 17:53:30 +0200

lintian4python (0.23.1) experimental; urgency=low

  * checks/python/*:
    + Rename all checks to include the “.pm” extension.

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update lintian dependency (2.5.14).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 30 Jun 2013 11:04:57 +0200

lintian4python (0.23) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - pyflakes-doctest-syntax-error

  * checks/python/pyflakes:
    + Update for pyflakes 0.7.2.

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update pyflakes dependency.
    + Add “XS-Testsuite: autopkgtest”.

  * debian/tests:
    + Add DEP-8 tests.

  * lib/Lintian/Contrib/Python.pm:
    + Improve dependency analysis for deciding whether a package is
      implemented in Python 2 or Python 3.

  * lintian4py:
    + Set module search path if run locally.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 28 Jun 2013 22:50:35 +0200

lintian4python (0.22) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - missing-dependency-on-ply-virtual-package

  * checks/python/*:
    + Drop the Abbrev field.
  * checks/python/bytecompilation:
    + Remove /usr/lib/debug/usr/lib/pypy/ from the list of directories that
      are not checked for bytecompilation.
  * checks/python/code-analysis:
    + Check for missing dependencies on PLY virtual packages
      (python-ply-{lex,yacc}-X.Y and their python3-* counterparts).

  * debian/control:
    + Add all packages required to run lintian4py to Build-Depends-Indep.
    + Add python-all and python3-all to Build-Depends-Indep.
    + Add python-nose and python3-nose to Build-Depends-Indep.
  * debian/rules:
    + Run code-analysis tests at build time.
    + Run lintian4py against the just-built .deb, as a build-time test.

  * data/python*-projects:
    + Update.

  * helpers/python/code-analysis:
    + Detect Python modules generated by PLY.

  * private/*:
    + Don't use LINTIAN_ROOT environment variable.
  * private/update-code-analysis-tags:
    + Port to Python 3.
    + Update paths.
  * private/update-coverage:
    + Port to Python 3.
    + Update paths.
    + Update coverage for code-analysis helper tests, too.
  * private/update-pyflakes-tags:
    + Port to Python 3.
  * private/update-sys.path-additions:
    + Remove an unused import.

  * tests/code-analysis:
    + New tests for the code-analysis helper.
  * tests/blackbox:
    + Move the old tests here.
    + Change test extension from “.tdesc” to “.t”.
    + Correct some SHA-1 hashes.
    + Don't unset http::Proxy::* APT configuration options. It was previously
      done because some APT proxies don't let through requests to
      http://snapshot.debian.org/. Users of such proxies are advised to add
      the following line to their APT configuration file:
      Acquire::http::Proxy::snapshot.debian.org "DIRECT";
    + Add new tests.
  * tests:
    + Add makefiles to ease running tests.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 20 Jun 2013 23:38:17 +0200

lintian4python (0.21) experimental; urgency=low

  * checks/python/depends:
    + Check for pythonX.Y-* package names in Conflicts, Replaces and Provides
      for X.Y << 2.3, too.
  * checks/python/documentation:
    + Don't use given/when statements. This feature is deemed experimental as
      of Perl 5.18.
  * checks/python/code-analysis:
    + Use Lintian::Util::locate_helper_tool().
  * checks/python/pyflakes:
    + Reduce pyflakes-redefined-in-list-comp certainty to wild-guess (see bug
      #700565).
    + Use Lintian::Util::locate_helper_tool().
  * checks/*:
    + Use Lintian::Contrib::Python instead of Lintian::Python.

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update lintian dependency (2.5.13).
    + Capitalize “Lintian” in the package description.
  * debian/rules:
    + Update to follow the changes in the frontend.
    + Install to /usr/share/lintian/.
    + Don't use dh_testdir; instead, use makefile rules to ensure that
      debian/rules can be only run in the correct directory.


