=== debian/control ===
Source: lintian4python
Section: devel
Priority: extra
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep:
 lintian (>= 2.5.14~), lintian (<< 2.5.20~),
 libmonkey-patch-perl,
 perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
 python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.7.3+),
 python-all, python-nose,
 python3-all, python3-nose,
XS-Testsuite: autopkgtest
Standards-Version: 3.9.4
Vcs-Hg: https://bitbucket.org/jwilk/lintian4python
Vcs-Browser: https://bitbucket.org/jwilk/lintian4python
Homepage: http://jwilk.net/software/lintian4python

Package: lintian4python
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 lintian (>= 2.5.14~), lintian (<< 2.5.20~),
 libmonkey-patch-perl,
 perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
 python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.7.3+)
Recommends:
 python3
Description: Debian package checker (for Python packages)
 Lintian dissects Debian packages and reports bugs and policy
 violations. It contains automated checks for many aspects of Debian
 policy as well as some checks for common errors.
 .
 This package provides an experimental flavor of Lintian designed to check
 packages implemented in Python.
