=== debian/tests/control ===
Tests: code-analysis
Depends: lintian4python,
 make,
 python, python-nose,
 python3, python3-nose
