## lintian4python 0.25.1

=== debian/changelog ===
lintian4python (0.25.1) experimental; urgency=low

  * debian/control:
    + Update lintian dependency (2.5.20).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 17 Dec 2013 13:56:03 +0100

lintian4python (0.25) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - string-formatting-error

  * checks/python/bytecompilation:
    + Don't complain about files in /usr/share/paster_templates/ not being
      byte-compiled.
  * checks/python/code-analysis:
    + Check for errors in string formatting (% operator).

  * data/python*-projects:
    + Update.

  * debian/control:
    + Bump standards version to 3.9.5 (no changes needed).
  * debian/copyright:
    + Document the new license for helpers/python/code-analysis.

  * helpers/python/code-analysis:
    + Check for catching string exceptions.
    + Check for errors in string formatting (% operator).
    + Relicense to the Expat license, so that other static analysers can
      incorporate the code easily.

  * private/update-python-projects:
    + Sort alternatives, so that the output is deterministic.
    + Don't assume that the “distribute” project exists.
    + Clean up the code.

  * tests:
    + New tests.
  * tests/blackbox/run-tests:
    + Improve error handling.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 10 Dec 2013 10:36:51 +0100
