=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep:
- lintian (>= 2.5.14~), lintian (<< 2.5.20~),
+ lintian (>= 2.5.14~), lintian (<< 2.5.21~),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
  python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.7.3+),
  python-all, python-nose,
  python3-all, python3-nose,
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Hg: https://bitbucket.org/jwilk/lintian4python
 Vcs-Browser: https://bitbucket.org/jwilk/lintian4python
 Homepage: http://jwilk.net/software/lintian4python
@@ -19,7 +19,7 @@
 Package: lintian4python
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- lintian (>= 2.5.14~), lintian (<< 2.5.20~),
+ lintian (>= 2.5.14~), lintian (<< 2.5.21~),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
  python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.7.3+)
