## lintian4python 0.28.1

=== debian/changelog ===
lintian4python (0.28.1) experimental; urgency=low

  * checks/python/pth, checks/python/package-name:
    + Correctly handle empty data files.

  * data/python*-sys.path-additions:
    + Update.

  * debian/control:
    + Update (Build-)Depends to support pyflakes 0.8.1 (closes: #743349).
      Thanks to Julian Andres Klode for the bug report.
    + Add python3-debian to Build-Depends.
  * debian/rules:
    + Ensure that .desc files for code-analysis and pyflakes checks are
      up-to-date.
    + Build the binary package exactly once.
  * debian/tests/adequate:
    + Avoid an unnecessary fork.

  * helpers/python/pyflakes:
    + Fix a pyflakes warning.

  * private/aptly.py:
    + Move apt-specific code from misc.py here.
  * private/update-sys.path-additions:
    + Use ‘aptly’ instead of ‘misc’. 
    + Don't blacklist PIL.
    + Blacklist setuptools-*.egg-info.
  * private/update-*-tags:
    + Add the --dry-run option.
    + Exit with non-zero status if the .desc files were not up-to-date.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 02 Apr 2014 00:57:36 +0200

lintian4python (0.28) experimental; urgency=low

  * Summary of tag chanages:
    + Added:
      - syntax-warning
    + Removed:
      - pyflakes-duplicate-argument
      - pyflakes-late-future-import

  * checks/python/pyflakes:
    + Update for pyflakes 0.8.
    + Blacklist syntax error tags; they are better handled by the code-analysis
      check.

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update pyflakes dependency.
  * debian/copyright:
    + Update years.
  * debian/tests:
    + Add test for adequate(1)-cleanness.

  * helpers/python/code-analysis:
    + Byte-compile ASTs to catch more syntax errors.
    + Check for syntax warnings.
  * helpers/python/pyflakes:
    + Blacklist syntax error tags.

  * private/update-code-analysis-tags:
    + Always use UTF-8 for Python source encodings.
  * private/update-pyflakes-tags:
    + Blacklist syntax error tags.

  * tests/code-analysis:
    + Add new tests.
  * tests/blackbox/pyflakes:
    + Remove tests for blacklisted tags

 -- Jakub Wilk <jwilk@debian.org>  Sun, 30 Mar 2014 21:30:39 +0200

lintian4python (0.27.2) experimental; urgency=low

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update lintian (build-)dependency to support Lintian 2.5.22.

  * debian/source/options:
    + Use xz for tarball compression.

  * debian/tests:
    + Split the DEP-8 test into two separate ones: one for Python 2.X, another
      for Python 3.X.
    + Use the “allow-stderr” restriction, instead of redirecting stderr to
      stdout.

  * tests/blackbox/egg-info:
    + Update test for unknown-project-in-requires.txt.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 26 Mar 2014 22:17:32 +0100

lintian4python (0.27.1) experimental; urgency=low

  * debian/control:
    + Update lintian (build-)dependency to support Lintian 2.5.21
      (closes: #735141). Thanks to Martin Pitt for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 13 Jan 2014 13:25:40 +0100

lintian4python (0.27) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - regexp-duplicate-range
      - regexp-overlapping-ranges
      - regexp-syntax-error

  * data/python*-projects:
    + Update.

  * {checks,helpers}/python/code-analysis:
    + Check for syntax error in regular expressions.
    + Check for overlapping ranges in character sets in regular expressions.

  * private/update-coverage:
    + Take into account version-specific tests.

  * tests:
    + New tests.

  * tests/code-analysis:
    + Fix test failure with Python 3.4 (closes: #733164). Thanks to Dmitry
      Shachnev for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 07 Jan 2014 08:35:07 +0100

lintian4python (0.26) experimental; urgency=low

  * Summary of tag changes:
    + Added:
      - insufficient-any-dependency

  * data/python*-projects:
    + Update.

  * data/python-multi-arch-allowed:
    + New file containing versions of Python interpreters and metapackages
      that introduced “Multiarch: allowed” annotations.

  * checks/python/depends:
    + Tighten a regex.

  * checks/python/multi-arch:
    + Check for insufficient :any dependencies (see bug #723586).

  * helpers/python/code-analysis:
    + Check for errors in some str.format() calls.

  * tests:
    + New tests.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 25 Dec 2013 18:52:08 +0100
