=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep:
- lintian (>= 2.5.14~), lintian (<< 2.5.21~),
+ lintian (>= 2.5.14~), lintian (<< 2.5.23~),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
- python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.7.3+),
+ python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.8.1+),
+ python3-debian,
  python-all, python-nose,
  python3-all, python3-nose,
 XS-Testsuite: autopkgtest
@@ -19,10 +20,10 @@
 Package: lintian4python
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- lintian (>= 2.5.14~), lintian (<< 2.5.21~),
+ lintian (>= 2.5.14~), lintian (<< 2.5.23~),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
- python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.7.3+)
+ python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.8.1+)
 Recommends:
  python3
 Description: Debian package checker (for Python packages)
