## lintian4python 0.28.4

=== debian/changelog ===
lintian4python (0.28.4) experimental; urgency=low

  * debian/control:
    + Update lintian (build-)dependency to support Lintian 2.5.26 and 2.5.27
      (closes: #761910). Thanks to Axel Beckert for the bug report.

  * debian/copyright:
    + Drop spurious trailing colon from a Fields header field.

  * data/python*-projects:
    + Update.

  * tests/blackbox/egg-info:
    + Update test for missing-requires.txt-optional-dependency.
    + Update test for unknown-optional-project-in-requires.txt.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 16 Sep 2014 22:26:47 +0200

lintian4python (0.28.3) experimental; urgency=low

  * checks/python/egg-info:
    + Update pkg_resources documentation URL.

  * checks/python/helpers:
    + Fix the “keys on reference is experimental” warning.

  * checks/python/*.desc:
    + Use HTTPS URLs when they are available.

  * data/python*-projects:
    + Update.

  * debian/copyright (and other files):
    + Use HTTPS when referring to the GNU website.

  * private/update-coverage:
    + Use glob.iglob(), instead of glob.glob(), in the place where a list is
      not needed.

  * private/update-exception-names:
    + Use HTTPS URLs.

  * tests/blackbox/*:
    + Use HTTPS URLs when they are available.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 18 Aug 2014 15:27:41 +0200

lintian4python (0.28.2) experimental; urgency=low

  * checks/python/*.desc:
    + Replace “index” with “unpacked” in Needs-Info.

  * data/python*-projects:
    + Update.

  * debian/control:
    + Update lintian (build-)dependency to support Lintian 2.5.25
      (closes: #756737). Thanks to Paul R. Tagliamonte for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 03 Aug 2014 20:22:40 +0200
