=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep:
- lintian (>= 2.5.14~), lintian (<< 2.5.23~),
+ lintian (>= 2.5.25~), lintian (<< 2.5.28~),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
  python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.8.1+),
@@ -20,7 +20,7 @@
 Package: lintian4python
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- lintian (>= 2.5.14~), lintian (<< 2.5.23~),
+ lintian (>= 2.5.25~), lintian (<< 2.5.28~),
  libmonkey-patch-perl,
  perl (>= 5.10), libtext-levenshtein-perl, liblist-moreutils-perl, liburi-perl,
  python (>= 2.6), pyflakes (>= 0.6.1), pyflakes (<< 0.8.1+)
